# $Revision: 1.12 $, $Date: 2009/10/08 11:43:48 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	prefork
Summary:	prefork - optimize module loading across forking and non-forking scenarios
Summary(pl.UTF-8):	prefork - optymalizacja ładowania modułów dla rozwidlonych i nierozwidlonych scenariuszy
Name:		perl-prefork
Version:	1.04
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/A/AD/ADAMK/%{pdir}-%{version}.tar.gz
# Source0-md5:	47a514d4058ffc8cca184b28d6d54d0a
URL:		http://search.cpan.org/dist/prefork/
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.24-2
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The prefork pragma is intended to allow module writers to optimise
module loading for both scenarios with as little additional code as
possible.

The prefork.pm is intended to serve as a central and optional
marshalling point for state detection (are we running in procedural or
pre-forking mode) and to act as a relatively light-weight module
loader.

%description -l pl.UTF-8
prefork ma umożliwić piszącym moduły zoptymalizowanie ładowania
modułów dla obu scenariuszy przy użyciu jak najmniejszego dodatkowego
kodu.

prefork.pm ma służyć jako centralny i opcjonalnie prowadzący punkt dla
wykrywania stanów (czy program działa w trybie proceduralnym, czy
pre-fork) i działać jako relatywnie lekki moduł do wczytywania
modułów.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} -MExtUtils::MakeMaker -e 'WriteMakefile(NAME=>"%{pdir}")' \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/prefork/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-prefork.spec,v $
Revision 1.12  2009/10/08 11:43:48  amateja
- updated to 1.04

Revision 1.11  2007/12/24 18:25:02  qboosh
- generic URL

Revision 1.10  2007-12-24 02:37:06  zbyniu
- up to 1.02

Revision 1.9  2007-02-13 08:06:39  glen
- tabs in preamble

Revision 1.8  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.7  2006/08/07 21:02:04  agaran
- up to 1.01, builds here

Revision 1.6  2006/02/15 22:26:01  glen
- up to 1.00

Revision 1.5  2005/02/25 19:33:27  petec
- updated to 0.04

Revision 1.4  2004/12/11 20:36:29  qboosh
- pl desc

Revision 1.3  2004/12/09 22:53:32  ankry
- pl summary, formatting

Revision 1.2  2004/12/09 22:48:11  radek
- fixed Source0 URL

Revision 1.1  2004/12/09 22:45:22  radek
- new
